/**
 * @file
 * Attaches the behaviors for the Layout Builder Sections Access module.
 */

(($, Drupal, window, once) => {
  Drupal.behaviors.layout_builder_sections_access = {
    attach(context) {
      $(
        once(
          'layout-builder-sections-access-processed',
          '.layout-builder__section',
          context,
        ),
      ).each((i, section) => {
        const elem = $(section).find('a.layout-builder__link--configure');
        let text;
        $(section)
          .find('.layout-builder__layout')
          .each((j, item) => {
            if ($(item).data('layout--role-access')) {
              text = elem.text();
              elem.text(`${text} (${Drupal.t('Role Access')})`);
              $(section).addClass('layout-builder__section__disabled');
            }
            if ($(item).data('layout--disable-section')) {
              text = elem.text();
              elem.text(`${text} (${Drupal.t('Disabled')})`);
              $(section).addClass('layout-builder__section__disabled');
            }
          });
      });
    },
  };
})(jQuery, Drupal, this, once);
